      subroutine PRPULS
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      include 'INPAR.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
      real OUT1(MAXMAS)
      integer I, J, K, KNT, INUNIT, IPAGE, ITEST, IPASS, NUMBLK, IMBED
      integer LOC1(MAXMAS), LOC2(MAXMAS), LOC3(MAXMAS), LOC4(MAXMAS)
      integer EOF, III, IV, VRAIL
      character CCHAR(2)*1, REQFMT*41
      data REQFMT/'(1X,''Please enter Yes, No, or Quit-> ''  )'/
      data CCHAR/'1','0'/
      III = VRAIL(ECONAM)
      write (RPTLUN(MACHNO),5000) CCHAR(BATCH+1),VERSN,MODEG,(ECONAM(IV)
     &   ,IV=1,III)
      do 100 K = 1, KCHEM
         III = VRAIL(CHEMNA(1,K))
         write (RPTLUN(MACHNO),5010) K,(CHEMNA(IV,K),IV=1,III)
100   continue
      write (RPTLUN(MACHNO),5020)
5000  format (A1,'Exposure Analysis Modeling System -- EXAMS Version ', 
     &   F4.2,', Mode',I2/' Ecosystem: ',50A1)
5010  format (' Chemical:',I2,') ',50A1)
5020  format (1X,63('-'))
5030  format (                                                          
     .' * N.B.: These values represent the input request stream only;'/ 
     .9X,'they may be revised during simulation.')
      write (RPTLUN(MACHNO),5040)
5040  format (' Table 3.  Chemical input data: pulse loadings.*'/1X,63('
     &-'))
      if (BATCH.gt.0) then
         III = VRAIL(LOADNM)
         write (RPTLUN(MACHNO),5050) (LOADNM(IV),IV=1,III)
5050     format (' Load Entry--',50A1)
      endif
      if (NPULSE.lt.1.or.MODEG.eq.1) go to 170
      KNT = NPULSE
      do 110 I = 1, NPULSE
         LOC1(I) = IMONG(I)
         LOC2(I) = IDAYG(I)
         LOC3(I) = ICHEMG(I)
         LOC4(I) = ISEGG(I)
         OUT1(I) = IMASSG(I)
110   continue
      NUMBLK = 4
      if (MODEG.eq.3) NUMBLK = 3
      if (BATCH.gt.0) NUMBLK = NUMBLK-1
      J = KNT
      K = 1
      IPASS = 1
      IPAGE = 0
      if (KNT.gt.5) J = 5
120   continue
      if (MODEG.gt.2) then
         write (RPTLUN(MACHNO),5090) (LOC1(I),I=K,J)
         write (RPTLUN(MACHNO),5100) (LOC2(I),I=K,J)
      endif
      if (MODEG.eq.2) then
         write (RPTLUN(MACHNO),5110) (LOC3(I),I=K,J)
      elseif (MODEG.gt.2) then
         write (RPTLUN(MACHNO),5120) (LOC3(I),I=K,J)
      endif
      write (RPTLUN(MACHNO),5130) (LOC4(I),I=K,J)
      write (RPTLUN(MACHNO),5140) (OUT1(I),I=K,J)
      if (BATCH.gt.0) write (RPTLUN(MACHNO),5080) (I,I=K,J)
      KNT = KNT-5
      if (KNT.le.0) go to 180
      IPASS = IPASS+1
      IPAGE = IPAGE+1
      if (IPAGE.ne.NUMBLK) go to 160
      write (RPTLUN(MACHNO),5020)
      write (RPTLUN(MACHNO),5030)
      if (BATCH.eq.0) go to 140
130   continue
      write (TTYOUT(MACHNO),5060)
5060  format (/1X,'There are more; do you want to see them?')
      REQFMT(39:40) = CRSTOP(MACHNO)
      write (TTYOUT(MACHNO),REQFMT)
      INUNIT = TTYIN(MACHNO)
      call INREC (EOF,INUNIT,INPUT)
      if (EOF.eq.1) go to 190
      START = IMBED(INPUT,0)
      if (START.eq.-999) goto 140
      if (INPUT(START:START).eq.'Q'.or.INPUT(START:START).eq.'q'.or.
     &   INPUT(START:START).eq.'N'.or.INPUT(START:START).eq.'n')
     &    go to 190
      if (INPUT(START:START).eq.'Y'.or.INPUT(START:START).eq.'y') go to
     &   140
      write (TTYOUT(MACHNO),5070)
5070  format (/1X,'Response was not understood; please try again.')
      go to 130
140   continue
      III = VRAIL(ECONAM)
      write (RPTLUN(MACHNO),5000) CCHAR(BATCH+1),VERSN,MODEG,(ECONAM(IV)
     &   ,IV=1,III)
      do 150 K = 1, KCHEM
         III = VRAIL(CHEMNA(1,K))
         write (RPTLUN(MACHNO),5010) K,(CHEMNA(IV,K),IV=1,III)
150   continue
      write (RPTLUN(MACHNO),5020)
      write (RPTLUN(MACHNO),5040)
      if (BATCH.gt.0) then
         III = VRAIL(LOADNM)
         write (RPTLUN(MACHNO),5050) (LOADNM(IV),IV=1,III)
      endif
      IPAGE = 0
160   continue
      K = 5*IPASS-4
      J = J+KNT
      ITEST = IPASS*5
      if (J.gt.ITEST) J = ITEST
      go to 120
5080  format (' Event Number',1X,I3,4X,4(3X,I3,4X))
5090  format (/' IMONth    ',5(3X,I3,4X))
5100  format (' IDAY      ',5(3X,I3,4X))
5110  format (/' ICHEM-ADB#',5(3X,I3,4X))
5120  format (' ICHEM-ADB#',5(3X,I3,4X))
5130  format (' ISEGment  ',5(3X,I3,4X))
5140  format (' IMASS (kg)',1PG10.3,4G10.3)
170   continue
      write (RPTLUN(MACHNO),5150)
5150  format (' Pulse chemical loadings not used in this analysis.')
180   continue
      write (RPTLUN(MACHNO),5020)
      write (RPTLUN(MACHNO),5030)
190   continue
      return
      end
